{% extends 'base.html.twig' %}

{% set bodyClass = 'user_collectivity list' %}
{% set menuItem = 'user_collectivity' %}

{% block title %}{{ 'user.collectivity.title.list'|trans }} - {{ parent() }}{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/dataTables.bootstrap.min.css">
{% endblock %}

{% block body_head %}
    <h1>{{ 'user.collectivity.title.list'|trans }}</h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'user.collectivity.title.list'|trans }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-12">
            <div class="action-bar">
                <a href="{{ path('user_collectivity_create') }}" class="btn btn-default">
                    <i class="fa fa-plus"></i>
                    {{ 'user.collectivity.action.new'|trans }}
                </a>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div class="box box-solid">
                <div class="box-body">
                    <table id="table" class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            <th>{{ 'user.collectivity.list.name'|trans }}</th>
                            <th>{{ 'user.collectivity.list.short_name'|trans }}</th>
                            <th>{{ 'user.collectivity.list.type'|trans }}</th>
                            <th>{{ 'user.collectivity.list.siren'|trans }}</th>
                            <th>{{ 'user.collectivity.list.active'|trans }}</th>
                            <th>{{ 'label.actions'|trans }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for object in objects %}
                        <tr>
                            <td>
                                <a href="{{ path('user_collectivity_show', {'id': object.id}) }}">
                                    {{ object.name }}
                                </a>
                            </td>
                            <td>{{ object.shortName }}</td>
                            <td>{{ object.type|dictionary('user_collectivity_type') }}</td>
                            <td>{{ object.siren|number_format(0, '.', ' ') }}</td>
                            <td>
                                {% if object.active %}
                                    <span class="badge bg-green">{{ 'label.active'|trans }}</span>
                                {% else %}
                                    <span class="badge bg-red">{{ 'label.inactive'|trans }}</span>
                                {% endif %}
                            </td>
                            <td>
                                <a href="{{ path('user_collectivity_edit', { 'id': object.id }) }}">
                                    <i class="fa fa-pencil-alt"></i>
                                    {{ 'action.edit'|trans }}
                                </a>
                                {% if 0 == object.users|length %}
                                    <a href="{{ path('user_collectivity_delete', { 'id': object.id }) }}">
                                        <i class="fa fa-trash"></i>
                                        {{ 'action.delete'|trans }}
                                    </a>
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ include('_Utils/_datatable.html.twig') }}
{% endblock %}
